Index: /extensions/MyPiwiShop/language/pt_PT/intro.html
===================================================================
--- /extensions/MyPiwiShop/language/pt_PT/intro.html	(revision 28077)
+++ /extensions/MyPiwiShop/language/pt_PT/intro.html	(revision 28077)
@@ -0,0 +1,84 @@
+<style type="text/css">
+.pres li:before {
+    content: "- "; 
+}
+.pres p{
+	margin-top:0
+}
+.pres h5{
+	font-size:1.2em
+}
+
+</style> 
+
+<div class="pres">
+<p>Você quer vender produtos com suas imagens, 
+Você quer vender algumas fotografias com diferentes tamanhos ou qualidades e fixar preços diferentes para cada uma?
+Você vende algumas camisetas com fotografias impressas, canecas ou outras coisas?
+  
+Este plugin adiciona um formulário nas páginas da imagem para propor os produtos que você pode criar com a imagem selecionada.
+Paypal é utilizado para a transação, você DEVE ter uma conta de Paypal. Quando a ordem é completada, você obtém a imagem e o nome dos produtos, as opções selecionadas, nome e endereço do usuário diretamente desde a sua conta do Paypal.</p>
+<br> 
+<h4>Como usar?</h4>
+  <h5>1 Côté administration du plugin dans l'onglet</h5>
+  <p style="font-weight:bold">1.1 _Configuração_</p>
+  <ul> 
+  <li>Ingresse seu código Paypal ou seu email do Paypal.</li>
+  <li>A moeda utilizada.</li>
+  <li>Se os gastos de envio são fixos, inclua-los no valor do produto.</li>
+  <li>Se necessário, introduza uma breve descrição de seus produtos (ex: 100% Algodão Camisetas feitas na China...).</li>
+  <li>Se necessário, introduza uma breve descrição para apresentar parte de seus produtos (ex: Escolha um produto na lista).</li>
+  <li>Se necessário, introduza seu texto para apresentar um único produto (ex: produto disponível).</li>
+  </ul>
+  
+  <p style="font-weight:bold">1.2 _Products_</p>
+  <ul> 
+  <li>1.2.1 Adicionar produto
+  <p>Introduza o nome do produto</p>
+  <p>Se necessário, use informação adicional. Esta nota é visível na página de adminstração de MyPiwiShop</p>
+  <p>Introduza o preço</p>
+  <p>Selecionar ou criar uma opção (refer §3.1)<p>
+  <p>Então submita</p>
+  </li>
+  <li>1.2.2 Lista de produtos
+  <p>Marque um ou mais produtos para remové-los da lista</p>
+  <p>Você pode editar ou duplicar produtos</p>
+  </li>
+  <li>1.2.3 Gerenciar pedido do produto num formulário
+  <p>Os produtos são exibidos em ordem de data de criação predeterminadamente. Você pode mudar isto arrastando e soltando no ítem do produto</p>
+  </li>
+  </ul>
+  
+  <p style="font-weight:bold">1.3 _Options_</p>
+  <ul> 
+  <li>1.3.1 Adicionar uma opção
+  <p>Introduza o nome da opção</p>
+  <p>Selecione o tipo da opção: selecionar: combo box (ex: tamanho P/G/GG/EG); rádio: radio button (ex: quadro sim/não); texto: campo de texto (ex: largura da borda em cm); área do texto: área do texto (ex: Vamos comentar); Checkbox: check botão (ex: Eu li e aceito os termos de uso)</p>
+  <p>Se algum campo é necessário para validar a ordem, marcar o campo</p>
+  <p>Se necessário, use informação adicional. Esta nota é visível na página de adminstração de MyPiwiShop</p>
+  <p>Você deve criar alguns valores dependendo do tipo de opção selecionada (selecionar, radio and checkbox)</p>
+  <p>Então aplique as mudanças</p>
+  </li>
+  <li>1.3.2 Tabela de produtos
+  <p>Marque uma ou mais opções para apagar</p>
+  <p>Você pode editar ou duplicar uma opção</p>
+  </li>
+  <li>1.3.3 Gerenciar ordem das opções num formulário
+  <p> As opções são listadas por data de criação predeterminadamente. Você pode mudar esta ordem arrastando e soltando</p>
+  </li>
+
+  <h5> 2 Piwigo administration side</h5>
+  <p>Agora você deve vincular um ou mais produtos às fotografias. Para isso, utilize a página "fotografias/batch manager".</p>
+  <br>
+  <li>2.1 Modo global</li>
+  <p>Selecione imagens que você quer vincular aos produtos.<p>
+  <p>No menu de acões, escolha MyPiwiShop.<p>
+  <p>Selecione seus produtos (Você também pode remover produtos já selecionados para estas imagens).</p>
+  <p>Então aplicar a ação</p>
+  <br>
+  <li>2.2 Modo simples</li
+  <p>Para cada fotografia você pode usar o link "ver produtos relacionados com esta imagem".<p>
+  <p>Produtos que utilizam esta imagem são listados.</p>
+  <p>Você pode marcar/desmarcar produtos para ligá-los ou desligá-los à fotografia.</p>
+  <p>Então valide as mudanças</p>
+</ul>