Index: /extensions/TakeATour/css/admin.css
===================================================================
--- /extensions/TakeATour/css/admin.css	(revision 28128)
+++ /extensions/TakeATour/css/admin.css	(revision 28129)
@@ -1,11 +1,15 @@
-#TAT_Content .TAT_description {
+#helpContent .TAT_description {
   text-align: justify;
   text-indent: 1em;
 }
-#TAT_Content form {
+#helpContent form {
   text-align: center;
 }
-#TAT_Content form input {
+#helpContent form input {
   width: 50%;
   margin-top: 10px;
 }
+#helpContent P {
+  text-indent: 1em;
+  text-align: justify;
+}
Index: /extensions/TakeATour/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/TakeATour/language/en_UK/plugin.lang.php	(revision 28128)
+++ /extensions/TakeATour/language/en_UK/plugin.lang.php	(revision 28129)
@@ -4,7 +4,6 @@
 $lang['Visit your Piwigo!'] = 'Visit your Piwigo!';
 $lang['Take a tour and discover the features of your Piwigo gallery » Go to the available tours'] = 'Take a tour and discover the features of your Piwigo gallery » Go to the available tours';
-$lang[''] = '';
-$lang[''] = '';
-$lang[''] = '';
+$lang['TAT_descrp'] = 'Welcome! Here are listed all the avalaible tours to discover the features of your Piwigo gallery.<br>Launch a tour below, then follow the instructions. Click Next/Prev (or use the arrows of your keyboard) to navigate during a tour. During a tour, if you go to an other page of the administration, you will be redirected to the current page of the Tour. If you are stuck and can\'t end the tour, going to <em>Plugins » Take A Tour</em> will end the tour.';
+$lang['takeatour_configpage'] = 'Take A Tour » List of Tours';
 $lang[''] = '';
 $lang[''] = '';
@@ -16,5 +15,5 @@
 $lang['first_contact_descrp'] = 'Recommended for beginners, this tour introduce you Piwigo, its basic features. It will start by adding pictures, then manage them. The tour continues with album management and permissions, and ends on the customization using the configuration, the themes and the plugins.';
 $lang['first_contact_title1'] = 'Welcome in your Piwigo gallery';
-$lang['first_contact_stp1'] = 'Hello! I will be your guide to discover Piwigo. Please follow my instructions, and click Next (or use the arrows of your keyboard) to navigate. If you go in an other page of the administration, you will be redirected to the current page of the Tour. If you are stuck and can\'t end the tour, going to <em>Plugins » Take A Tour</em> will end the tour.<br>Let\'s start by adding pictures!';
+$lang['first_contact_stp1'] = 'Hello! I will be your guide to discover Piwigo. Please follow my instructions, and click Next (or use the arrows of your keyboard) to navigate. If you go to an other page of the administration, you will be redirected to the current page of the Tour. If you are stuck and can\'t end the tour, going to <em>Plugins » Take A Tour</em> will end the tour.<br>Let\'s start by adding pictures!';
 $lang['first_contact_title2'] = '';
 $lang['first_contact_stp2'] = 'The link is here. Click Next to continue';
@@ -53,4 +52,5 @@
 $lang['first_contact_title19'] = 'Manage Albums';
 $lang['first_contact_stp19'] = 'Here are listed all the \'top\' albums, the ones at the root of your gallery. If you see an album with a dashed backgroung, it\'s an real physical album from a FTP synchro, which can\'t be moved or deleted from here. The others albums are called virtual albums.';
+$lang['first_contact_stp19_b'] = 'All the albums are called \'virtual albums\'. Here are listed all the \'top\' albums, the ones at the root of your gallery.';
 $lang['first_contact_title20'] = 'Manage Albums';
 $lang['first_contact_stp20'] = 'When your mouse is hover a album, links and information appear. When you drag and drop an album -a rounded block-, you will change its position and then you can save or cancel your manual order.';
Index: /extensions/TakeATour/main.inc.php
===================================================================
--- /extensions/TakeATour/main.inc.php	(revision 28128)
+++ /extensions/TakeATour/main.inc.php	(revision 28129)
@@ -33,10 +33,6 @@
 elseif ( pwg_get_session_var('tour_to_launch') and defined('IN_ADMIN') and IN_ADMIN)
 {
-  global $conf;
-  if ((isset($conf['TakeATour_tour_ignored']) and !in_array(pwg_get_session_var('tour_to_launch'), $conf['TakeATour_tour_ignored'])) or !isset($conf['TakeATour_tour_ignored']))
-  {
-      add_event_handler('init', 'TAT_add_js_css');
-      include('tours/'.pwg_get_session_var('tour_to_launch').'/config.inc.php');
-  }
+  add_event_handler('init', 'TAT_add_js_css');
+  include('tours/'.pwg_get_session_var('tour_to_launch').'/config.inc.php');
 }
 
@@ -99,5 +95,5 @@
   
   $search = '<div class="bigButton"><a href="{$next_step_url}">{\'I want to add photos\'|@translate}</a></div>';
-  $replacement = '<form class="bigButton" action="{$F_ACTION}" method="post">
+  $replacement = '<form style="text-align:center" action="{$F_ACTION}" method="post">
   <input type="hidden" name="submited_tour" value="first_contact">
   <input type="hidden" name="pwg_token" value="{$pwg_token}">
@@ -105,4 +101,22 @@
 </form>
 <div class="bigButton"><a href="{$next_step_url}">{\'I want to add photos\'|@translate}</a></div>';
+  $content=str_replace($search, $replacement, $content);
+  $search = '</style>';
+  $replacement = '
+form input[type="submit"] {
+  font-size: 25px;
+  letter-spacing: 2px;
+  margin: 0 5px;
+  padding: 20px;
+  border:none;
+  background-color:#666666;
+  color:#fff;
+  cursor:pointer;
+}
+form input[type="submit"]:hover {
+  background-color:#ff7700;
+  color:white;
+}
+</style>';
   return(str_replace($search, $replacement, $content));
 }
Index: /extensions/TakeATour/tours/first_contact/config_preparse.inc.php
===================================================================
--- /extensions/TakeATour/tours/first_contact/config_preparse.inc.php	(revision 28128)
+++ /extensions/TakeATour/tours/first_contact/config_preparse.inc.php	(revision 28129)
@@ -52,3 +52,8 @@
     $template->assign('TAT_cat_id', $row['id']);
   }
+  global $conf;
+  if ( isset($conf['enable_synchronization']) )
+  {
+    $template->assign('TAT_FTP', $conf['enable_synchronization']);
+  }
 ?>
Index: /extensions/TakeATour/tours/first_contact/tour.tpl
===================================================================
--- /extensions/TakeATour/tours/first_contact/tour.tpl	(revision 28128)
+++ /extensions/TakeATour/tours/first_contact/tour.tpl	(revision 28129)
@@ -156,5 +156,5 @@
     element: "#content",
     title: "{/literal}{'first_contact_title19'|@translate}{literal}",
-    content: "{/literal}{'first_contact_stp19'|@translate}{literal}",
+    content: "{/literal}{if $TAT_FTP}{'first_contact_stp19'|@translate}{else}{'first_contact_stp19_b'|@translate}{/if}{literal}",
     onPrev: function (tour) {window.location = "admin.php?page=photo-{/literal}{$TAT_image_id}{literal}";},
 
Index: /extensions/TakeATour/tpl/admin.tpl
===================================================================
--- /extensions/TakeATour/tpl/admin.tpl	(revision 28128)
+++ /extensions/TakeATour/tpl/admin.tpl	(revision 28129)
@@ -2,5 +2,6 @@
   <h2>{'takeatour_configpage'|@translate}</h2>
 </div>
-<div id="TAT_Content">
+<div id="helpContent">
+  <p>{'TAT_descrp'|@translate}</p>
   {if !isset($TAT_tour_ignored) or (isset($TAT_tour_ignored) and in_array(first_contact, $TAT_tour_ignored))}
   <fieldset>