Index: extensions/ThumbnailTooltip/admin/admin.php
===================================================================
--- extensions/ThumbnailTooltip/admin/admin.php	(revision 28106)
+++ extensions/ThumbnailTooltip/admin/admin.php	(revision 28174)
@@ -21,4 +21,5 @@
     'value6'         	=> $_POST['value6'],
     'separator'         => $_POST['separator'],
+    'display_author_cat'=> $_POST['display_author_cat'],
   );
 
@@ -58,4 +59,5 @@
   'VALUE6'           	 => $params['value6'],
   'SEPARATOR'         	 => $params['separator'],
+  'DISPLAY_AUTHOR_CAT'   => $params['display_author_cat'],
 ));
 
Index: extensions/ThumbnailTooltip/admin/admin.tpl
===================================================================
--- extensions/ThumbnailTooltip/admin/admin.tpl	(revision 28106)
+++ extensions/ThumbnailTooltip/admin/admin.tpl	(revision 28174)
@@ -6,8 +6,8 @@
 
 <fieldset>
-<legend>{'tn_display'|@translate}</legend>
+<legend>{'tn_display_img'|@translate}</legend>
 <table>
   <tr>
-    <td align="right" nowrap="nowrap">{'tn_display_name'|@translate} : &nbsp;&nbsp;</td>
+    <td align="right" nowrap="nowrap">{'tn_display_name_img'|@translate} : &nbsp;&nbsp;</td>
     <td><input type="radio" name="display_name" value="1" {if $DISPLAY_NAME}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"> {'tn_yes'|@translate} &nbsp;
         <input type="radio" name="display_name" value="0" {if !$DISPLAY_NAME}checked="checked"{/if} onClick="javascript: jQuery('.name_link').hide();"> {'tn_no'|@translate}
@@ -95,4 +95,19 @@
   <tr><td>&nbsp;</td></tr>
 </table>
+</fieldset> 
+
+
+<fieldset>
+<legend>{'tn_display_cat'|@translate}</legend>
+<table>
+  <tr>
+    <td align="right" nowrap="nowrap">{'tn_display_name_cat'|@translate} : &nbsp;&nbsp;</td>
+    <td><input type="radio" name="display_author_cat" value="1" {if $DISPLAY_AUTHOR_CAT}checked="checked"{/if}> {'tn_yes'|@translate} &nbsp;
+        <input type="radio" name="display_author_cat" value="0" {if !$DISPLAY_AUTHOR_CAT}checked="checked"{/if}> {'tn_no'|@translate}
+    </td>
+  </tr>
+   
+  <tr><td>&nbsp;</td></tr>
+</table>
 </fieldset>
 
Index: extensions/ThumbnailTooltip/admin/config_default.inc.php
===================================================================
--- extensions/ThumbnailTooltip/admin/config_default.inc.php	(revision 28106)
+++ extensions/ThumbnailTooltip/admin/config_default.inc.php	(revision 28174)
@@ -1,12 +1,13 @@
 <?php
 $config_default = array(
-  'display_name'       => true,
-  'value1'          => 'tn_type1',
-  'value2'          => 'tn_type8',
-  'value3'          => 'tn_type4',
-  'value4'          => 'none',
-  'value5'          => 'none',
-  'value6'          => 'none',
-  'separator'          => '1',
+  'display_name'        => true,
+  'value1'         		=> 'tn_type1',
+  'value2'         		=> 'tn_type8',
+  'value3'         		=> 'tn_type4',
+  'value4'         		=> 'none',
+  'value5'        		=> 'none',
+  'value6'        		=> 'none',
+  'separator'     		=> '1',
+  'display_author_cat' 	=> '1',
 );
 ?>
Index: extensions/ThumbnailTooltip/include/class.inc.php
===================================================================
--- extensions/ThumbnailTooltip/include/class.inc.php	(revision 28106)
+++ extensions/ThumbnailTooltip/include/class.inc.php	(revision 28174)
@@ -14,4 +14,5 @@
   function initialize_event_handler() {
     add_event_handler('loc_end_index_thumbnails', array($this, 'thumbnail_tooltip_affich'), 50, 2);
+    add_event_handler('loc_end_index_category_thumbnails', array($this, 'Author_Description_affich'), 50, 2);
   }
 
@@ -92,4 +93,29 @@
     return $tpl_var;
   }
+  
+  
+  function Author_Description_affich($tpl_var) {
+    global $user;
+
+	$query = 'SELECT param, value, comment FROM ' . CONFIG_TABLE . ' WHERE param="thumbnail_tooltip";';
+	$row = pwg_db_fetch_assoc( pwg_query($query) );
+  
+    $params = unserialize($row['value']);
+	$values = array('DISPLAY_AUTHOR_CAT' => $params['display_author_cat']);
+	
+	if ($params['display_author_cat']==true) {
+      foreach($tpl_var as $cle=>$valeur) {
+        $query = "SELECT author FROM ".IMAGE_CATEGORY_TABLE." INNER JOIN ".IMAGES_TABLE." ON image_id = id WHERE category_id = ".(int)$tpl_var[$cle]['id']." LIMIT 1";
+	    $result = pwg_query($query);
+	    $row = pwg_db_fetch_assoc($result);
+	    $auteur = '';
+	    if (!empty($row['author'])) {
+	      if (preg_match('#(,|\/)#i', $row['author'])) { $s = 's'; } else { $s = ''; }
+	      if (!empty($tpl_var[$cle]['DESCRIPTION'])) { $tpl_var[$cle]['DESCRIPTION'] = $tpl_var[$cle]['DESCRIPTION'].'<br/>Auteur'.$s.' : '.$row['author']; } else { $tpl_var[$cle]['DESCRIPTION'] = 'Auteur'.$s.' : '.$row['author']; }
+	    }
+      }
+    }
+    return $tpl_var;
+  }
 }
 ?>
Index: extensions/ThumbnailTooltip/language/ar_SA/plugin.lang.php
===================================================================
--- extensions/ThumbnailTooltip/language/ar_SA/plugin.lang.php	(revision 28106)
+++ extensions/ThumbnailTooltip/language/ar_SA/plugin.lang.php	(revision 28174)
@@ -21,7 +21,9 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['tn_display'] = 'عرض';
-$lang['tn_display_name'] ='   عرض عنوان  الصور   ';
-$lang['tn_name_link'] = 'نوع العنوان ';
+$lang['tn_display_img'] = 'صور';
+$lang['tn_display_cat'] = 'الفئات';
+$lang['tn_display_name_img'] = 'الاطلاع على عنوان الصورة';
+$lang['tn_display_name_cat'] = 'عرض المؤلف الالبومات';
+$lang['tn_name_link'] = 'النص توولتيب';
 $lang['tn_separator'] = ' فاصل ';
 $lang['tn_none'] = 'لا يوجد ';
Index: extensions/ThumbnailTooltip/language/da_DK/description.txt
===================================================================
--- extensions/ThumbnailTooltip/language/da_DK/description.txt	(revision 28106)
+++ extensions/ThumbnailTooltip/language/da_DK/description.txt	(revision 28174)
@@ -1,1 +1,0 @@
-Gør det muligt at ændret tooltippet på billederne i albummer.
Index: extensions/ThumbnailTooltip/language/da_DK/plugin.lang.php
===================================================================
--- extensions/ThumbnailTooltip/language/da_DK/plugin.lang.php	(revision 28106)
+++ extensions/ThumbnailTooltip/language/da_DK/plugin.lang.php	(revision 28174)
@@ -21,9 +21,13 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+$lang['tn_display_img'] = 'Fotos';
+$lang['tn_display_cat'] = 'Kategorier';
+$lang['tn_display_name_img'] = 'Vis billede titel';
+$lang['tn_display_name_cat'] = 'Vis den author den albummer fotos';
+$lang['tn_name_link'] = 'Text tooltip';
+
 $lang['tn_configuration_saved'] = 'Opsætning gemt';
 $lang['tn_default_parameters'] = 'Standardopsætning';
 $lang['tn_default_parameters_saved'] = 'Standardopsætning gemt';
-$lang['tn_display'] = 'Vis';
-$lang['tn_display_name'] = 'Vis billedtitel';
 $lang['tn_no'] = 'Nej';
 $lang['tn_none'] = 'Ingen';
@@ -38,4 +42,3 @@
 $lang['tn_type8'] = '(Besøg, Bedømmelse)';
 $lang['tn_yes'] = 'Ja';
-$lang['tn_name_link'] = 'Titeltype';
 ?>
Index: extensions/ThumbnailTooltip/language/de_DE/description.txt
===================================================================
--- extensions/ThumbnailTooltip/language/de_DE/description.txt	(revision 28106)
+++ extensions/ThumbnailTooltip/language/de_DE/description.txt	(revision 28174)
@@ -1,1 +1,1 @@
-Erlaubt, die Kurzanzeige für Bilder in Alben anzupassen
+Hier können Sie die Tooltip ändern, um Fotos und Autoren in den Album-Beschreibungen angezeigt
Index: extensions/ThumbnailTooltip/language/de_DE/plugin.lang.php
===================================================================
--- extensions/ThumbnailTooltip/language/de_DE/plugin.lang.php	(revision 28106)
+++ extensions/ThumbnailTooltip/language/de_DE/plugin.lang.php	(revision 28174)
@@ -21,10 +21,13 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+$lang['tn_display_img'] = 'Fotos';
+$lang['tn_display_cat'] = 'Kategorien';
+$lang['tn_display_name_img'] = 'Fototitel anzeigen';
+$lang['tn_display_name_cat'] = 'Fotograf zu den Albums anzeigen';
+$lang['tn_name_link'] = 'Textentooltip';
+
 $lang['tn_configuration_saved'] = 'Konfiguration gespeichert';
 $lang['tn_default_parameters'] = 'Standardkonfiguration';
 $lang['tn_default_parameters_saved'] = 'Standardkonfiguration gespeichert';
-$lang['tn_display'] = 'Anzeige';
-$lang['tn_display_name'] = 'Bildtitel anzeigen';
-$lang['tn_name_link'] = 'Titeltyp';
 $lang['tn_no'] = 'Nein';
 $lang['tn_none'] = 'Keine';
Index: extensions/ThumbnailTooltip/language/el_GR/plugin.lang.php
===================================================================
--- extensions/ThumbnailTooltip/language/el_GR/plugin.lang.php	(revision 28106)
+++ extensions/ThumbnailTooltip/language/el_GR/plugin.lang.php	(revision 28174)
@@ -33,7 +33,11 @@
 $lang['tn_none'] = 'Τίποτα';
 $lang['tn_no'] = 'Όχι';
-$lang['tn_name_link'] = 'Tύπος τίτλου';
-$lang['tn_display_name'] = 'Εμφάνιση τίτλου εικόνας';
-$lang['tn_display'] = 'Εμφάνιση';
+
+$lang['tn_name_link'] = 'Συμβουλή εργαλείου κειμένου';
+$lang['tn_display_img'] = 'Εμφάνιση';
+$lang['tn_display_cat'] = 'λευκώματα';
+$lang['tn_display_name_img'] = 'Εμφάνιση τίτλου εικόνας';
+$lang['tn_display_name_cat'] = 'Εμφάνιση δημιουργού στα λευκώματα';
+
 $lang['tn_default_parameters_saved'] = 'Οι προεπιλεγμένες ρυθμίσεις αποθηκεύτηκαν';
 $lang['tn_default_parameters'] = 'Οι προεπιλεγμένες ρυθμίσεις';
Index: extensions/ThumbnailTooltip/language/en_UK/description.txt
===================================================================
--- extensions/ThumbnailTooltip/language/en_UK/description.txt	(revision 28106)
+++ extensions/ThumbnailTooltip/language/en_UK/description.txt	(revision 28174)
@@ -1,1 +1,1 @@
-Allows you to change the tooltip of the pictures in the album
+Allows you to change the tooltip of the pictures and authors in the albums descriptions
Index: extensions/ThumbnailTooltip/language/en_UK/plugin.lang.php
===================================================================
--- extensions/ThumbnailTooltip/language/en_UK/plugin.lang.php	(revision 28106)
+++ extensions/ThumbnailTooltip/language/en_UK/plugin.lang.php	(revision 28174)
@@ -1,6 +1,9 @@
 <?php
-$lang['tn_display'] = 'Display';
-$lang['tn_display_name'] = 'Display image title';
-$lang['tn_name_link'] = 'Title type';
+$lang['tn_display_img'] = 'Photos';
+$lang['tn_display_cat'] = 'Albums';
+$lang['tn_display_name_img'] = 'Display the title of the picture';
+$lang['tn_display_name_cat'] = 'Display the name of author in the albums';
+$lang['tn_name_link'] = 'Tooltip text';
+
 $lang['tn_separator'] = 'Separator (-)';
 $lang['tn_none'] = 'None';
Index: extensions/ThumbnailTooltip/language/es_ES/plugin.lang.php
===================================================================
--- extensions/ThumbnailTooltip/language/es_ES/plugin.lang.php	(revision 28106)
+++ extensions/ThumbnailTooltip/language/es_ES/plugin.lang.php	(revision 28174)
@@ -21,9 +21,14 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+$lang['tn_display_img'] = 'Imagen';
+$lang['tn_display_cat'] = 'Álbumes';
+$lang['tn_display_name_img'] = 'Mostrar el titulo de la imagen';
+$lang['tn_display_name_cat'] = 'Mostrar el autor de los álbumes';
+$lang['tn_name_link'] = 'Texto Tooltip';
+
 $lang['tn_configuration_saved'] = 'Configuración guardada';
 $lang['tn_default_parameters'] = 'Configuración por defecto';
 $lang['tn_default_parameters_saved'] = 'Configuración por defecto guardada';
-$lang['tn_display'] = 'Visualización';
-$lang['tn_display_name'] = 'Visualización del titulo de la imagen';
+
 $lang['tn_no'] = 'No';
 $lang['tn_none'] = 'Ninguno';
@@ -38,4 +43,3 @@
 $lang['tn_type8'] = '(Visitas, Puntuación)';
 $lang['tn_yes'] = 'Si';
-$lang['tn_name_link'] = 'Tipo de titulo';
 ?>
Index: extensions/ThumbnailTooltip/language/fr_FR/description.txt
===================================================================
--- extensions/ThumbnailTooltip/language/fr_FR/description.txt	(revision 28106)
+++ extensions/ThumbnailTooltip/language/fr_FR/description.txt	(revision 28174)
@@ -1,1 +1,1 @@
-Permet de changer l'info-bulle des photos dans l'album
+Permet de modifier l'info-bulle des photos et d'afficher les auteurs dans les descriptions d'albums
Index: extensions/ThumbnailTooltip/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/ThumbnailTooltip/language/fr_FR/plugin.lang.php	(revision 28106)
+++ extensions/ThumbnailTooltip/language/fr_FR/plugin.lang.php	(revision 28174)
@@ -1,6 +1,9 @@
 <?php
-$lang['tn_display'] = 'Affichage';
-$lang['tn_display_name'] = 'Afficher le titre de l\'image';
-$lang['tn_name_link'] = 'Type de titre';
+$lang['tn_display_img'] = 'Photos';
+$lang['tn_display_cat'] = 'Albums';
+$lang['tn_display_name_img'] = 'Afficher le titre de la photo';
+$lang['tn_display_name_cat'] = 'Afficher l\'auteur dans les albums';
+$lang['tn_name_link'] = 'Texte de l\'infobulle';
+
 $lang['tn_separator'] = 'Separateur (-)';
 $lang['tn_none'] = 'Aucun';
Index: extensions/ThumbnailTooltip/language/hi_IN/plugin.lang.php
===================================================================
--- extensions/ThumbnailTooltip/language/hi_IN/plugin.lang.php	(revision 28106)
+++ extensions/ThumbnailTooltip/language/hi_IN/plugin.lang.php	(revision 28174)
@@ -1,6 +1,9 @@
 <?php
-$lang['tn_display'] = 'फ़ोटो डिस्प्ले';
-$lang['tn_display_name'] = 'फ़ोटो डिस्प्ले शीर्षक';
-$lang['tn_name_link'] = 'शीर्षक केटेगरी';
+$lang['tn_display_img'] = 'फ़ोटो';
+$lang['tn_display_cat'] = 'श्रेणियाँ';
+$lang['tn_display_name_img'] = 'देखें तस्वीर शीर्षक';
+$lang['tn_display_name_cat'] = 'एल्बम में लेखक का नाम प्रदर्शित';
+$lang['tn_name_link'] = 'पाठ टूलटिप';
+
 $lang['tn_separator'] = 'विभाजक (-)';
 $lang['tn_none'] = 'कोई नहीं';
Index: extensions/ThumbnailTooltip/language/it_IT/plugin.lang.php
===================================================================
--- extensions/ThumbnailTooltip/language/it_IT/plugin.lang.php	(revision 28106)
+++ extensions/ThumbnailTooltip/language/it_IT/plugin.lang.php	(revision 28174)
@@ -21,7 +21,10 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['tn_display_name'] = 'Visualizza il titolo dell\'immagine';
-$lang['tn_display'] = 'Visualizza';
-$lang['tn_name_link'] = 'Visualizzazione del titolo';
+$lang['tn_display_img'] = 'Fotos';
+$lang['tn_display_cat'] = 'Categorie';
+$lang['tn_display_name_img'] = 'Visualizza il titolo dell\'immagine';
+$lang['tn_display_name_cat'] = 'Visualizza l\'autore nella categoria';
+$lang['tn_name_link'] = 'Tooltip testo';
+
 $lang['tn_none'] = 'Nessuno';
 $lang['tn_no'] = 'No';
Index: extensions/ThumbnailTooltip/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/ThumbnailTooltip/language/lv_LV/plugin.lang.php	(revision 28106)
+++ extensions/ThumbnailTooltip/language/lv_LV/plugin.lang.php	(revision 28174)
@@ -21,4 +21,9 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+$lang['tn_display_img'] = 'Attēli';
+$lang['tn_display_cat'] = 'Fotoalbumus';
+$lang['tn_display_name_img'] = 'Parādīt nosaukumu attēlu';
+$lang['tn_display_name_cat'] = 'Parādīt nosaukumus autors albumā';
+$lang['tn_name_link'] = 'Tooltip teksta';
 
 $lang['tn_type1'] = 'Nosaukums';
@@ -33,10 +38,8 @@
 $lang['tn_none'] = 'Neviens';
 $lang['tn_no'] = 'Ne';
-$lang['tn_display_name'] = 'Paradit attela nosaukumu';
-$lang['tn_display'] = 'Paradit';
 $lang['tn_default_parameters_saved'] = 'Noklusejuma konfiguracija saglabata';
 $lang['tn_default_parameters'] = 'Noklusejuma konfiguracija';
 $lang['tn_configuration_saved'] = 'Konfiguracija saglabata';
-$lang['tn_name_link'] = 'Nosaukuma tips';
+
 $lang['tn_yes'] = 'Ja';
 ?>
Index: extensions/ThumbnailTooltip/language/nl_NL/plugin.lang.php
===================================================================
--- extensions/ThumbnailTooltip/language/nl_NL/plugin.lang.php	(revision 28106)
+++ extensions/ThumbnailTooltip/language/nl_NL/plugin.lang.php	(revision 28174)
@@ -21,9 +21,13 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+$lang['tn_display_img'] = 'Foto\'s';
+$lang['tn_display_cat'] = 'Categorieën';
+$lang['tn_display_name_img'] = 'Geef de titel van de afbeelding weer';
+$lang['tn_display_name_cat'] = 'Toon de auteur in albums';
+$lang['tn_name_link'] = 'Tekst tooltip';
+
 $lang['tn_configuration_saved'] = 'Instellingen opgeslagen';
 $lang['tn_default_parameters'] = 'Standaard instellingen';
 $lang['tn_default_parameters_saved'] = 'Standaard instellingen opgeslagen';
-$lang['tn_display'] = 'Weergeven';
-$lang['tn_display_name'] = 'Geef de titel van de afbeelding weer';
 $lang['tn_no'] = 'Nee';
 $lang['tn_none'] = 'Geen';
@@ -38,4 +42,3 @@
 $lang['tn_type8'] = '(Bezoeken, Waarderings score)';
 $lang['tn_yes'] = 'Ja';
-$lang['tn_name_link'] = 'Soort titel';
 ?>
Index: extensions/ThumbnailTooltip/language/pt_BR/plugin.lang.php
===================================================================
--- extensions/ThumbnailTooltip/language/pt_BR/plugin.lang.php	(revision 28106)
+++ extensions/ThumbnailTooltip/language/pt_BR/plugin.lang.php	(revision 28174)
@@ -21,9 +21,13 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+$lang['tn_display_img'] = 'Fotos';
+$lang['tn_display_cat'] = 'Álbuns';
+$lang['tn_display_name_img'] = 'Mostrar o título da foto';
+$lang['tn_display_name_cat'] = 'Mostrar o autor na categoria';
+$lang['tn_name_link'] = 'Tooltip texto';
+
 $lang['tn_configuration_saved'] = 'Configuración guardada';
 $lang['tn_default_parameters'] = 'Configuración por defecto';
 $lang['tn_default_parameters_saved'] = 'Configuración por defecto guardada';
-$lang['tn_display'] = 'Visualización';
-$lang['tn_display_name'] = 'Visualización del titulo de la imagen';
 $lang['tn_no'] = 'No';
 $lang['tn_none'] = 'Ninguno';
@@ -38,4 +42,3 @@
 $lang['tn_type8'] = '(Visitas, Avaliação)';
 $lang['tn_yes'] = 'Si';
-$lang['tn_name_link'] = 'Tipo de titulo';
 ?>
Index: extensions/ThumbnailTooltip/language/pt_PT/plugin.lang.php
===================================================================
--- extensions/ThumbnailTooltip/language/pt_PT/plugin.lang.php	(revision 28106)
+++ extensions/ThumbnailTooltip/language/pt_PT/plugin.lang.php	(revision 28174)
@@ -21,9 +21,13 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+$lang['tn_display_img'] = 'Fotos';
+$lang['tn_display_cat'] = 'Álbuns';
+$lang['tn_display_name_img'] = 'Mostrar o titulo da foto';
+$lang['tn_display_name_cat'] = 'Mostrar o autor na categoria';
+$lang['tn_name_link'] = 'Tooltip texto';
+
 $lang['tn_configuration_saved'] = 'Configuração salva';
 $lang['tn_default_parameters'] = 'Configuração por defeito';
 $lang['tn_default_parameters_saved'] = 'Configuração por defeito salva';
-$lang['tn_display'] = 'Mostrar';
-$lang['tn_display_name'] = 'Mostrar o t´tulo da foto';
 $lang['tn_no'] = 'Não';
 $lang['tn_none'] = 'Nunca';
@@ -38,4 +42,3 @@
 $lang['tn_type8'] = '(Visitas, Pontuação na avaliação)';
 $lang['tn_yes'] = 'Sim';
-$lang['tn_name_link'] = 'Título tipo';
 ?>
Index: extensions/ThumbnailTooltip/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/ThumbnailTooltip/language/ru_RU/plugin.lang.php	(revision 28106)
+++ extensions/ThumbnailTooltip/language/ru_RU/plugin.lang.php	(revision 28174)
@@ -21,9 +21,13 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['tn_display'] = 'Отображение ';
+$lang['tn_display_img'] = 'Фото';
+$lang['tn_display_cat'] = 'Категории';
+$lang['tn_display_name_img'] = 'Отображать название изображения';
+$lang['tn_display_name_cat'] = 'Дисплей имя автора в альбомах';
+$lang['tn_name_link'] = 'Текст всплывающей подсказки';
+
 $lang['tn_configuration_saved'] = 'Конфишурация сохранена';
 $lang['tn_default_parameters'] = 'Конфигурация по умолчанию';
 $lang['tn_default_parameters_saved'] = 'Конфигурация по умолчанию сохранена';
-$lang['tn_display_name'] = 'Отображать название изображения';
 $lang['tn_no'] = 'Нет';
 $lang['tn_none'] = 'Нет';
@@ -38,4 +42,3 @@
 $lang['tn_type8'] = '(Посещения, Средний балл)';
 $lang['tn_yes'] = 'Да';
-$lang['tn_name_link'] = 'Печать заголовка';
 ?>
Index: extensions/ThumbnailTooltip/language/sk_SK/plugin.lang.php
===================================================================
--- extensions/ThumbnailTooltip/language/sk_SK/plugin.lang.php	(revision 28106)
+++ extensions/ThumbnailTooltip/language/sk_SK/plugin.lang.php	(revision 28174)
@@ -21,4 +21,9 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+$lang['tn_display_img'] = 'Fotky';
+$lang['tn_display_cat'] = 'Albumu';
+$lang['tn_display_name_img'] = 'Zobraziť na fotografiu titul';
+$lang['tn_display_name_cat'] = 'Zobrazí meno autora albumov';
+$lang['tn_name_link'] = 'Tooltip text';
 $lang['tn_type1'] = 'Názov';
 $lang['tn_type2'] = 'Návštev';
@@ -29,11 +34,9 @@
 $lang['tn_type7'] = 'Bodové hodnotenie';
 $lang['tn_type8'] = '(Návštev, Bodové hodnotenie)';
-$lang['tn_name_link'] = 'Typ názvu';
 $lang['tn_yes'] = 'Áno';
 $lang['tn_separator'] = 'Oddeľovač (-)';
 $lang['tn_none'] = 'Žiadny';
 $lang['tn_no'] = 'Nie';
-$lang['tn_display_name'] = 'Zobraziť názov fotky';
-$lang['tn_display'] = 'Zobrazenie';
+
 $lang['tn_default_parameters_saved'] = 'Predvolená konfigurácia uložená';
 $lang['tn_default_parameters'] = 'Predvolená konfigurácia';
Index: extensions/ThumbnailTooltip/language/tr_TR/plugin.lang.php
===================================================================
--- extensions/ThumbnailTooltip/language/tr_TR/plugin.lang.php	(revision 28106)
+++ extensions/ThumbnailTooltip/language/tr_TR/plugin.lang.php	(revision 28174)
@@ -21,9 +21,13 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+$lang['tn_display_img'] = 'Görüntüler';
+$lang['tn_display_cat'] = 'Albümler';
+$lang['tn_display_name_img'] = 'Resmin başlığını görüntüler';
+$lang['tn_display_name_cat'] = 'Yazar kategorisine bakın';
+$lang['tn_name_link'] = 'Araç İpucu Metni';
+
 $lang['tn_configuration_saved'] = 'Yapılandırma kaydedildi';
 $lang['tn_default_parameters'] = 'Varsayılan yapılandırma';
 $lang['tn_default_parameters_saved'] = 'Varsayılan yapılandırma kaydedildi';
-$lang['tn_display'] = 'Göster';
-$lang['tn_display_name'] = 'İmaj başlığını göster';
 $lang['tn_no'] = 'Hayır';
 $lang['tn_none'] = 'Hiçbiri';
@@ -38,4 +42,3 @@
 $lang['tn_type8'] = '(Görüntülenme, Oy sayısı)';
 $lang['tn_yes'] = 'Evet';
-$lang['tn_name_link'] = 'Başlık tipi';
 ?>
Index: extensions/ThumbnailTooltip/language/zh_CN/plugin.lang.php
===================================================================
--- extensions/ThumbnailTooltip/language/zh_CN/plugin.lang.php	(revision 28106)
+++ extensions/ThumbnailTooltip/language/zh_CN/plugin.lang.php	(revision 28174)
@@ -33,7 +33,10 @@
 $lang['tn_type8'] = '（点击量，评分）';
 $lang['tn_yes'] = '是';
-$lang['tn_display_name'] = '显示图片标题';
-$lang['tn_name_link'] = '标题类型';
-$lang['tn_display'] = '显示';
+$lang['tn_display_img'] = '照片';
+$lang['tn_display_cat'] = '类别';
+$lang['tn_display_name_img'] = '显示图片标题';
+$lang['tn_display_name_cat'] = '显示作者的类别';
+$lang['tn_name_link'] = '工具提示文本';
+$lang['tn_display_img'] = '显示';
 $lang['tn_default_parameters_saved'] = '默认配置已保存';
 $lang['tn_default_parameters'] = '默认配置';