Index: /trunk/plugins/TakeATour/language/ru_RU/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/ru_RU/plugin.lang.php	(revision 28191)
+++ /trunk/plugins/TakeATour/language/ru_RU/plugin.lang.php	(revision 28192)
@@ -73,2 +73,25 @@
 $lang['takeatour_configpage'] = '
 Возьми тур » Список туров';
+$lang['TAT_descrp'] = 'Добро пожаловать! Здесь перечислены все доступные туры, доступные для исседования особенностей вашей Piwigo-галереи. <br> Запустите тур ниже, а затем следуйте инструкциям. Нажмите Далее/Назад (или используйте стрелки клавиатуры) для навигации во время тура. Во время экскурсии, если вы идете к другой странице администрации , вы будете перенаправлены на текущей странице тура. Если Вы застряли и не можете закончить тур, переходите <em> Плагины » TakeATour</em> для завершения тура.';
+$lang['first_contact_stp1'] = 'Здравствуйте! Я буду Вашим гидом, чтобы соверщить маленькие открытия в Piwigo. Пожалуйста, следуйте моим указаниям и нажмите кнопку Далее (или используйте стрелки клавиатуры) для навигации. Если Вы идете в другой странице администрации, вы будете перенаправлены на текущую страницу тура. Если Вы застряли и не можете закончить тур, переходите <em> Плагины » TakeATour</em> для завершения тура. <br> Давайте начнем с добавления изображений!';
+$lang['first_contact_stp10'] = 'Вот ссылка для прямого доступа к Вашей корзинке - это такой инструмент для администраторов, с которым легко добавлять изображения к набору для того, чтобы редактировать их все вместе в Batch Manager. Вы можете добавить изображения в корзинку с публичной страницы изображения при входе в качестве администратора или с помощью действий "Добавить в корзинку" в самОм пакетном менеджере';
+$lang['first_contact_stp19'] = 'Здесь перечислены все «главные» альбомы, те, которые находятся в корне Вашей галереи. Если Вы видите альбом на пунктирном фоне, то это реальная физическая папка, синхронизированная по FTP, которая не может быть перемещена или удалена отсюда. Остальные альбомы называются "виртуальные альбомы".';
+$lang['first_contact_stp21'] = 'Следующая вкладка представляет собой страницу, где Вы можете переместить любой виртуальное альбом. <br> Постоянная ссылка - это установка определенного URL для альбома, например, по техническим причинам хотели бы установить определенный шаблон для адресов ссылок или просто создать круто выглядящие ссылки :). <br> Но давайте редактировать альбом: нажмите на Редактировать.';
+$lang['first_contact_stp25'] = 'Как Вы можете прочитать в справке вашего Piwigo (если что - ссылка в правом верхнем углу), разрешения для альбома устанавливаются для групп и пользователей. Вы можете задать признак частных или публичных сразу для нескольких альбомов в разделе Администрирование » Альбомы » Свойства';
+$lang['first_contact_stp26'] = 'Здесь вы можете установить текущему альбому статус частного, затем предоставить доступ определенным пользователям и группам. По умолчанию разрешения не являются рекурсивными для вложенных альбомов, но родительским альбомам будет предоставлено разрешение для того, чтобы позволить пользователям просматривать все изображения, представленные в альбоме.';
+$lang['first_contact_stp31'] = 'Теперь баннер, который будет отображаться на верхней части каждой страницы. Как вы можете видетьдопускается использовать и HTML-тэги. Вы также можете использовать тэг % gallery_title % для отображения заголовка, который Вы только что ввели выше.';
+$lang['first_contact_stp33'] = 'Наконец,  в завершение - о вариантах страницы "Настройки гостя". Это установка предпочтений для незарегистрированных посетителей. Каждый раз Piwigo относится как гостю к любому из незарегистрированных посетителей. <br> Давайте продолжим о настройках: нажмите на Конфигурация -> Темы или просто нажмите Далее.';
+$lang['first_contact_stp35'] = 'Темы могут быть также установлены по умолчанию. Это означает, что такая тема будет отображаться для незарегистрированных посетителей (тех самых гостей, вы помните?). И любой новый зарегистрированный пользователь будет сначала лицезреть эту тему. Но для любых ранее зарегистрированных пользователей их тема не изменится, пока Вы делаете это со страницы управления пользователями или пока не отключите их тему: будьте осторожны, Вы можете нарушить пользователям настроенное отображение.';
+$lang['first_contact_stp36'] = 'Темы имеют систему зависимости, поэтому некоторые темы не могут быть удалены (родительская тема не может быть удалена, если дочерняя тема включена) или другие не могут быть включены (дочерняя тема нуждается в родительской). <br> Например, когда Вы наводите мышку над Удалить, то, если тема не может быть удалена, для Вас будет отображена поясняющая информация в "пузыре".';
+$lang['first_contact_stp12'] = 'затем редактируйте их с помощью действий. Но, к примеру, Вы не можете редактировать одновременно несколько описаний (пакетом), так как они, в основном, уникальные,';
+$lang['first_contact_stp17'] = 'а вот здесь установите изображение в качестве представителя альбома. При этом, Вы можете установить в качестве представителя открытого альбома и изображение из частного альбоме, которое по Вашему мнению идеально подходит для установки пользовательских эскизов для альбомов. Но!... пользователь не будет видеть эти фотографии внутри этих частных альбомов.';
+$lang['first_contact_descrp'] = 'Рекомендуется для новичков, этот тур призван представить Вам Piwigo, его основные черты. Он начинается с добавления изображений, а затем и управлениями ими. Тур продолжается рассказом про управление альбомами и установки разрешений и заканчивается настройками, с использованием конфигурации, тем и плагинов.';
+$lang['first_contact_stp18'] = 'Предыдущий пример был просто небольшим обзором трюков и мощи Piwigo. Итак, я рассказал о частных альбомах, но как мы можем управлять альбомами? Нажмите на Альбом -> Управление или нажмите Далее';
+$lang['first_contact_stp20'] = 'Когда мышь наведена на альбом, появляются ссылки и информация. Когда Вы перетащите альбом - округлый блок - Вы измените его позицию относительно остальных, а затем Вы можете сохранить или отменить ручную сортировку.';
+$lang['first_contact_stp23'] = 'Блокировка альбома означает, что только администраторы смогут видеть, что находтся в альбом. Эту функцию обычно используют, пока администратор настраивает необходимые свойства альбома или, если  не хотят немедленно опубликовать альбом';
+$lang['first_contact_stp37'] = 'Чтобы установить новые темы, Вы можете напрямую загрузить их на вкладке "Добавить тему". На вкладке отображаются только темы, совместимые с Вашей версией Piwigo.<br> А теперь давайте узнаем кое-что про плагины! Нажмите на Плагины -> Управление';
+$lang['first_contact_stp38'] = 'Плагины - очень легкий путь настроить Ваш Piwigo. Они могут делать почти всё, что Вы можете вообразить: от небольших дополняющих текстовых пометочек, до возможностей плагина Community, который позволяет пользователям загружать свои изображения, без обладания правами администратора.';
+$lang['first_contact_stp39'] = 'На этой странице перечислены установленные плагины. Сверху показаны активированные плагины, которые в настоящее время работают. Снизу - плагины, которые установлены в папке плагинов, но отключены. Удаление плагина означает, что все следы плагина будут удалены (файлы, параметры и т.д.). Для большинства плагинов: после отключения сохранятся данные, зарегистрированные плагином.';
+$lang['first_contact_stp43'] = 'Этот тур был весьма длинным, но мы увидели только незначительную часть всей мощи Piwigo. Вс` имеет конец, вот и этот краткий обзор закончен. <br> Вы можете обнаружить гораздо больше классных особенностей Piwigo, выбрав другие туры или читая нашу документацию на веб-сайтах piwigo.org и ru.piwigo.org';
+$lang['first_contact_stp7'] = 'Здесь краткое описание Ваших загруженных изображений. Как видите, Piwigo создал эскизы-миниатюрки. Вы можете узнать, как еще добавлять изображения по ссылке внизу, редактировать свойства изображения, нажав на него, или нажмите кнопку для управления всеми загруженными изображениями в плагине Batch Manager...';
+$lang['first_contact_stp42'] = 'Piwigo - многоязычный. По умолчанию, язык Piwigo устанавливается согласно языку браузера посетителя. Если язык посетителя не доступен, используется язык, установленный в Piwigo по умолчанию.';