Index: /extensions/pwgCumulus/language/ca_ES/description.txt
===================================================================
--- /extensions/pwgCumulus/language/ca_ES/description.txt	(revision 28193)
+++ /extensions/pwgCumulus/language/ca_ES/description.txt	(revision 28193)
@@ -0,0 +1,1 @@
+Afegeix un bonic núvol d'etiquetes
Index: /extensions/pwgCumulus/language/ca_ES/index.php
===================================================================
--- /extensions/pwgCumulus/language/ca_ES/index.php	(revision 28193)
+++ /extensions/pwgCumulus/language/ca_ES/index.php	(revision 28193)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/pwgCumulus/language/ca_ES/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/ca_ES/plugin.lang.php	(revision 28193)
+++ /extensions/pwgCumulus/language/ca_ES/plugin.lang.php	(revision 28193)
@@ -0,0 +1,61 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Animation colors'] = 'Colors del dibuix';
+$lang['Animation configuration : size, tags colors, tags size'] = 'Configuració del dibuix: mida, colors de les etiquetes, mida de les etiquetes';
+$lang['Animation width and height'] = 'Mida i amplada del dibuix';
+$lang['Check the checkbox to use transparent mode for background'] = 'Activeu el quadre de verificació si voleu utilitzar el mode transparent per al fons. ';
+$lang['Coefficient for tags size updated'] = 'S\'ha actualitzat el coeficient de la mida de les etiquetes';
+$lang['Cumulus Tags Cloud Plugin'] = 'Connector de núvol tipus cúmuls d\'etiquetes ';
+$lang['Dashboard'] = 'Cónsola';
+$lang['block'] = 'bloqueja';
+$lang['cumulus cloud'] = 'núvol de cúmuls';
+$lang['Transparent mode for background'] = 'S\'està utilitzant el mode transparent per al fons';
+$lang['Transparent mode is not used'] = 'No s\'està utilitzant el mode transparent';
+$lang['Transparent mode is used'] = 'S\'està utilitzant el mode transparent';
+$lang['Width'] = 'Amplada';
+$lang['Width updated'] = 'L\'amplada s\'ha actualitzt';
+$lang['cloud'] = 'núvol';
+$lang['show tag cloud'] = 'mostra núvol d\'etiquetes';
+$lang['Add tags cloud in main menu'] = 'Afegeix núvol d\'etiquetes en el menú principal.';
+$lang['Background color updated'] = 'El color de fons s\'ha actualitzat';
+$lang['Height updated'] = 'S\'ha actualitzat l\'alçada';
+$lang['Menu'] = 'Menú';
+$lang['Mouseover color'] = 'Color en passar el ratolí per sobre';
+$lang['Mouseover color updated'] = 'S\'ha actualitzat el color en passar el ratolí per sobre';
+$lang['Position'] = 'Posició';
+$lang['Position in main menu has been updated'] = 'S\'ha actualitzat la posició en el menú principal ';
+$lang['Tags cloud added in main menu'] = 'El núvol d\'etiquetes s\'ha afegit al menú principal';
+$lang['Tags cloud in main menu?'] = 'Inclou el núvol d\'etiquetes al menú principal';
+$lang['Tags cloud removed from main menu'] = 'El núvol de les etiquetes s\'ha eliminat del menú principal';
+$lang['Tags page'] = 'Pàgina de les etiquetes';
+$lang['Tags size'] = 'Mida de les etiquetes';
+$lang['After'] = 'Abans';
+$lang['Background color'] = 'Color de fons';
+$lang['Before'] = 'Desprès';
+$lang['Coefficient'] = 'Coeficient';
+$lang['Color 1'] = 'Color 1';
+$lang['Color 1 updated'] = 'El color 1 s\'ha actualitzat';
+$lang['Color 2'] = 'Color 2';
+$lang['Color 2 updated'] = 'El color 2 s\'ha actualitzat';
+$lang['Current release:'] = 'Versió actual';
+$lang['Height'] = 'Alçada';