Index: /extensions/ThumbnailTooltip/admin/admin.tpl
===================================================================
--- /extensions/ThumbnailTooltip/admin/admin.tpl	(revision 28209)
+++ /extensions/ThumbnailTooltip/admin/admin.tpl	(revision 28210)
@@ -112,6 +112,6 @@
 </fieldset>
 
-<p><input type="submit" name="submit" value="{'Submit'|@translate}" {$TAG_INPUT_ENABLED}>
-<input type="submit" name="restore" value="{'tn_default_parameters'|@translate}" onclick="return confirm('{'Are you sure?'|@translate|@escape:'javascript'}');" {$TAG_INPUT_ENABLED}></p>
+<p><input type="submit" name="submit" value="{'Submit'|@translate}">
+<input type="submit" name="restore" value="{'tn_default_parameters'|@translate}" onclick="return confirm('{'Are you sure?'|@translate|@escape:'javascript'}');"></p>
 </form>
 
Index: /extensions/ThumbnailTooltip/admin/config_default.inc.php
===================================================================
--- /extensions/ThumbnailTooltip/admin/config_default.inc.php	(revision 28209)
+++ /extensions/ThumbnailTooltip/admin/config_default.inc.php	(revision 28210)
@@ -2,12 +2,12 @@
 $config_default = array(
   'display_name'        => true,
-  'value1'         		=> 'tn_type1',
-  'value2'         		=> 'tn_type8',
-  'value3'         		=> 'tn_type4',
-  'value4'         		=> 'none',
-  'value5'        		=> 'none',
-  'value6'        		=> 'none',
-  'separator'     		=> '1',
-  'display_author_cat' 	=> '1',
+  'value1'              => 'tn_type1',
+  'value2'              => 'tn_type8',
+  'value3'              => 'tn_type4',
+  'value4'              => 'none',
+  'value5'              => 'none',
+  'value6'              => 'none',
+  'separator'           => '1',
+  'display_author_cat'  => '1'
 );
 ?>
Index: /extensions/ThumbnailTooltip/admin/index.php
===================================================================
--- /extensions/ThumbnailTooltip/admin/index.php	(revision 28209)
+++ /extensions/ThumbnailTooltip/admin/index.php	(revision 28210)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
-// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
-// | last modifier : $Author: rub $
-// | revision      : $Revision: 1912 $
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/ThumbnailTooltip/include/class.inc.php
===================================================================
--- /extensions/ThumbnailTooltip/include/class.inc.php	(revision 28209)
+++ /extensions/ThumbnailTooltip/include/class.inc.php	(revision 28210)
@@ -20,14 +20,9 @@
     global $user;
       
-	  $query = '
-		SELECT param, value, comment
-		FROM ' . CONFIG_TABLE . '
-		WHERE param="thumbnail_tooltip"
-		;';
-	  $row = pwg_db_fetch_assoc( pwg_query($query) );
+	$query = 'SELECT param, value, comment FROM ' . CONFIG_TABLE . ' WHERE param="thumbnail_tooltip"';
+	$row = pwg_db_fetch_assoc( pwg_query($query) );
   
-      $params = unserialize($row['value']);
-
-      $values = array(
+	$params = unserialize($row['value']);
+	$values = array(
 		  'DISPLAY_NAME'         => $params['display_name'],
 		  'value1'           	 => $params['value1'],
@@ -38,56 +33,52 @@
 		  'value6'           	 => $params['value6'],
 		  'separator'         	 => $params['separator']
-      );
+	);
+	
+	if ($params['display_name']==true) {
+      foreach($tpl_var as $cle=>$valeur) {
+        $query = "
+		  SELECT name AS value1, hit AS value2, hit AS value3, comment AS value4, author AS value5, CONCAT('".l10n('Author').' : '."', author,'') AS value6, rating_score AS value7
+		  FROM ".IMAGES_TABLE."
+		  WHERE id = ".(int)$tpl_var[$cle]['id']."
+		;";
+	    $row = pwg_db_fetch_assoc( pwg_query($query) );
+
+        $details = array();
+        $details_param = array();
 	  
-    foreach($tpl_var as $cle=>$valeur) {
-      $query = "
-		SELECT name AS value1, hit AS value2, hit AS value3, comment AS value4, author AS value5, CONCAT('".l10n('Author').' : '."', author,'') AS value6, rating_score AS value7
-		FROM ".IMAGES_TABLE."
-		WHERE id = ".(int)$tpl_var[$cle]['id']."
-		;";
-	  $row = pwg_db_fetch_assoc( pwg_query($query) );
+        $details['tn_type1'] = $row['value1'];
 
-      $details = array();
-      $details_param = array();
+        if (!empty($row['value2'])) {
+		  $details['tn_type2'] = $row['value2'].' '.strtolower(l10n('Visits'));
+        }
+        if (!empty($row['value3'])) {
+		  $details['tn_type3'] = '('.$row['value3'].' '.strtolower(l10n('Visits')).')';
+	    if (!empty($row['value7'])) { $type8 = ', '.strtolower(l10n('Rating score')).' '.$row['value7']; } else { $type8 = ''; }
+		  $details['tn_type8'] = '('.$row['value3'].' '.strtolower(l10n('Visits')).$type8.')';
+        }
+        if (!empty($row['value4'])) {
+		  $details['tn_type4'] = $row['value4'];
+        }
+        if (!empty($row['value5'])) {
+		  $details['tn_type5'] = $row['value5'];
+        }
+        if (!empty($row['value6'])) {
+		  $details['tn_type6'] = $row['value6'];
+        }
+        if (!empty($row['value7'])) {
+		  $details['tn_type7'] = strtolower(l10n('Rating score')).' '.$row['value7'];
+        }
+	  	  
+        if ((!empty($details[$values['value1']])) && ($details[$values['value1']]!='none')) { $details_param[] = $details[$values['value1']]; }
+        if ((!empty($details[$values['value2']])) && ($details[$values['value2']]!='none')) { $details_param[] = $details[$values['value2']]; }
+        if ((!empty($details[$values['value3']])) && ($details[$values['value3']]!='none')) { $details_param[] = $details[$values['value3']]; }
+        if ((!empty($details[$values['value4']])) && ($details[$values['value4']]!='none')) { $details_param[] = $details[$values['value4']]; }
+        if ((!empty($details[$values['value5']])) && ($details[$values['value5']]!='none')) { $details_param[] = $details[$values['value5']]; }
+        if ((!empty($details[$values['value6']])) && ($details[$values['value6']]!='none')) { $details_param[] = $details[$values['value6']]; }
 	  
-      $details['tn_type1'] = $row['value1'];
-
-      if (!empty($row['value2']))
-      {
-		$details['tn_type2'] = $row['value2'].' '.strtolower(l10n('Visits'));
+        if ($params['separator']=='1') { $title = implode(' - ', $details_param); } else { $title = implode(' ', $details_param); }
+	  
+        $tpl_var[$cle]['TN_TITLE'] = $title;
       }
-	  if (!empty($row['value3']))
-      {
-		$details['tn_type3'] = '('.$row['value3'].' '.strtolower(l10n('Visits')).')';
-	    if (!empty($row['value7'])) { $type8 = ', '.strtolower(l10n('Rating score')).' '.$row['value7']; } else { $type8 = ''; }
-		$details['tn_type8'] = '('.$row['value3'].' '.strtolower(l10n('Visits')).$type8.')';
-	  }
-      if (!empty($row['value4']))
-      {
-		$details['tn_type4'] = $row['value4'];
-      }
-      if (!empty($row['value5']))
-      {
-		$details['tn_type5'] = $row['value5'];
-      }
-      if (!empty($row['value6']))
-      {
-		$details['tn_type6'] = $row['value6'];
-      }
-      if (!empty($row['value7']))
-      {
-		$details['tn_type7'] = strtolower(l10n('Rating score')).' '.$row['value7'];
-      }
-	  	  
-	  if ((!empty($details[$values['value1']])) && ($details[$values['value1']]!='none')) { $details_param[] = $details[$values['value1']]; }
-	  if ((!empty($details[$values['value2']])) && ($details[$values['value2']]!='none')) { $details_param[] = $details[$values['value2']]; }
-	  if ((!empty($details[$values['value3']])) && ($details[$values['value3']]!='none')) { $details_param[] = $details[$values['value3']]; }
-	  if ((!empty($details[$values['value4']])) && ($details[$values['value4']]!='none')) { $details_param[] = $details[$values['value4']]; }
-	  if ((!empty($details[$values['value5']])) && ($details[$values['value5']]!='none')) { $details_param[] = $details[$values['value5']]; }
-	  if ((!empty($details[$values['value6']])) && ($details[$values['value6']]!='none')) { $details_param[] = $details[$values['value6']]; }
-	  
-	  if ($params['separator']=='1') { $title = implode(' - ', $details_param); } else { $title = implode(' ', $details_param); }
-	  
-	  if ($params['display_name']==true) { $tpl_var[$cle]['TN_TITLE'] = $title; } else { $tpl_var[$cle]['TN_TITLE']=''; }
     }
     return $tpl_var;
@@ -96,5 +87,5 @@
   
   function Author_Description_affich($tpl_var) {
-    global $user;
+    global $user, $lang;
 
 	$query = 'SELECT param, value, comment FROM ' . CONFIG_TABLE . ' WHERE param="thumbnail_tooltip";';
@@ -109,8 +100,8 @@
 	    $result = pwg_query($query);
 	    $row = pwg_db_fetch_assoc($result);
-	    $auteur = '';
+
 	    if (!empty($row['author'])) {
-	      if (preg_match('#(,|\/)#i', $row['author'])) { $s = 's'; } else { $s = ''; }
-	      if (!empty($tpl_var[$cle]['DESCRIPTION'])) { $tpl_var[$cle]['DESCRIPTION'] = $tpl_var[$cle]['DESCRIPTION'].'<br/>Auteur'.$s.' : '.$row['author']; } else { $tpl_var[$cle]['DESCRIPTION'] = 'Auteur'.$s.' : '.$row['author']; }
+	      if (preg_match('#(,|\/)#i', $row['author'])) { $auteur = str_replace(array('(',')'), '', ucfirst(sprintf($lang['author(s) : %s'],$row['author']))); } else { $auteur = $lang['Author'].' : '.$row['author']; }
+	      if (!empty($tpl_var[$cle]['DESCRIPTION'])) { $tpl_var[$cle]['DESCRIPTION'] = $tpl_var[$cle]['DESCRIPTION'].'<br/>'.$auteur; } else { $tpl_var[$cle]['DESCRIPTION'] = $auteur; }
 	    }
       }
Index: /extensions/ThumbnailTooltip/initialize.inc.php
===================================================================
--- /extensions/ThumbnailTooltip/initialize.inc.php	(revision 28209)
+++ /extensions/ThumbnailTooltip/initialize.inc.php	(revision 28210)
@@ -1,12 +1,3 @@
 <?php
-/*
-Plugin Name: Thumbnail Tooltip
-Version: 1.2
-Description: Permet de changer l'infobulle sur les images dans les albums.
-Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=736
-Author: Sarybe
-Author URI: http://www.lesrempartsdetours.com
-*/
-
 
 if (!defined('PHPWG_ROOT_PATH')) {